import React, { useEffect } from "react";
import { connect } from "react-redux";
import { bindActionCreators } from "redux";
import PropTypes from "prop-types";
import { loadReleaseNotes } from "../actionCreators";
import ReleaseNotesListComponent from "./ReleaseNotesListComponent";

const ReleaseNotesContainer = ({ actions, releaseNotes }) => {
  useEffect(() => {
    actions.loadReleaseNotes();
  }, []);

  return <ReleaseNotesListComponent releaseNotes={releaseNotes} />;
};

ReleaseNotesContainer.propTypes = {
  actions: PropTypes.object.isRequired,
  releaseNotes: PropTypes.array.isRequired
};

function mapStateToProps(state) {
  return {
    releaseNotes: state.releaseNotes
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: bindActionCreators({ loadReleaseNotes }, dispatch)
  };
}

export default connect(
  mapStateToProps,
  mapDispatchToProps
)(ReleaseNotesContainer);
