import React from "react";
import PropTypes from "prop-types";
import { Grid } from "@material-ui/core";
import { makeStyles } from "@material-ui/core/styles";
import { useTranslation } from "react-i18next";
import styles from "../../../components/common/styles/gridStyles";

const useStyles = makeStyles(styles);

const ReleaseNotesSummary = ({ releaseNote }) => {
  const classes = useStyles();
  const { t } = useTranslation();

  return (
    <Grid container className={classes.miniContainer}>
      <Grid item xs={12} sm={5} md={5}>
        {`${t("ReleaseNotes.Version")}: `}
        <span className={classes.value}>{releaseNote.version}</span>
      </Grid>

      <Grid item xs={12} sm={5} md={5}>
        {`${t("ReleaseNotes.Version")}: `}
        <span className={classes.value}>{releaseNote.version}</span>
      </Grid>
    </Grid>
  );
};

ReleaseNotesSummary.propTypes = {
  releaseNote: PropTypes.object.isRequired
};

export default ReleaseNotesSummary;
